%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    Horde_Compress
%global pear_channel pear.horde.org

Name:           php-horde-Horde-Compress
Version:        2.2.4
Release:        1%{?dist}
Summary:        Horde Compression API

Group:          Development/Libraries
License:        LGPLv2
URL:            http://pear.horde.org
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})
BuildRequires:  gettext
# To run unit tests
BuildRequires:  php-pear(%{pear_channel}/Horde_Test) >= 2.1.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Stream_Filter) >= 2.0.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Mime) >= 2.5.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Icalendar) >= 2.0.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Mapi) >= 1.0.0

# avoid Math_Biginteger native implementation
BuildRequires:  php-gmp
#BuildRequires:  php-phpseclib-math-biginteger

#Patch0:         %{name}-pr219.patch

Requires(post): %{__pear}
Requires(postun): %{__pear}

Requires:       php(language) >= 5.3.0
Requires:       php-date
Requires:       php-pcre
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-channel(%{pear_channel})

Requires:       php-pear(%{pear_channel}/Horde_Exception) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Exception) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Mime) >= 2.5.0
Requires:       php-pear(%{pear_channel}/Horde_Mime) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Translation) >= 2.2.0
Requires:       php-pear(%{pear_channel}/Horde_Translation) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Util) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Util) <  3.0.0

# Optional
Requires:       php-zlib
Requires:       php-date
Requires:       php-pcre
Requires:       php-pear(%{pear_channel}/Horde_Stream_Filter) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Stream_Filter) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Icalendar) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Icalendar) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Mapi) >= 1.0.0
Requires:       php-pear(%{pear_channel}/Horde_Mapi) <  2.0.0

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}
Provides:       php-composer(horde/horde-compress) = %{version}

%description
An API for various compression techniques.

%prep
%setup -q -c
cd %{pear_name}-%{version}
#%patch0 -p3 -b .pr219

# Don't install .po and .pot files
# Remove checksum for .mo, as we regenerate them
sed -e '/%{pear_name}.po/d' \
    -e '/%{pear_name}.mo/s/md5sum=.*name=/name=/' \
    -e '/role="test"/s/md5sum=.*name=/name=/' \
    ../package.xml >%{name}.xml
touch -r ../package.xml %{name}.xml

%build
cd %{pear_name}-%{version}

# Regenerate the locales
for po in $(find locale -name \*.po)
do
   msgfmt $po -o $(dirname $po)/$(basename $po .po).mo
done

%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}

for loc in locale/{??,??_??}
do
    lang=$(basename $loc)
    test -d $loc && echo "%%lang(${lang%_*}) %{pear_datadir}/%{pear_name}/$loc"
done | tee ../%{pear_name}.lang

%check
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)
phpunit -d date.timezone=UTC --bootstrap bootstrap.php .

%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi

%files -f %{pear_name}.lang
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Horde/Compress
%{pear_phpdir}/Horde/Compress.php
%{pear_testdir}/%{pear_name}
%dir %{pear_datadir}/%{pear_name}
%dir %{pear_datadir}/%{pear_name}/locale

%changelog
* Mon Oct 25 2021 josef radinger <cheese@nosuchhost.net> - 2.2.4-1
- bump version

* Wed Nov 20 2019 josef radinger <cheese@nosuchhost.net> - 2.2.3-1
- bump version

* Mon Feb 11 2019 josef radinger <cheese@nosuchhost.net> - 2.2.2-1
- bump version
- remove Patch0
- bootstrap check

* Tue Aug 29 2017 josef radinger <cheese@nosuchhost.net> - 2.2.1-1
- bump version
- add patch0
- resync with remi-spec-file

* Thu May 04 2017 josef radinger <cheese@nosuchhost.net> - 2.2.0-1
- bump version
- add BuildRequires on php-phpseclib-math-biginteger

* Sat Dec 17 2016 josef radinger <cheese@nosuchhost.net> - 2.1.6-1
- bump version
- small fixes to spec-file

* Mon Mar 21 2016 josef radinger <cheese@nosuchhost.net> - 2.1.5-1
- bump version

* Wed Feb 03 2016 josef radinger <cheese@nosuchhost.net> - 2.1.4-1
- bump version
- fix check-section

* Fri Jul 31 2015 josef radinger <cheese@nosuchhost.net> - 2.1.3-1
- bump version
- add provides php-composer(horde/horde-compress)

* Tue Apr 28 2015 josef radinger <cheese@nosuchhost.net> - 2.1.2-1
- bump version

* Sat Mar 14 2015 josef radinger <cheese@nosuchhost.net> - 2.1.1-1
- bump version

* Mon Feb 16 2015 josef radinger <cheese@nosuchhost.net> - 2.1.0-1
- bump version

* Wed May 21 2014 josef radinger <cheese@nosuchhost.net> - 2.0.8-1
- bump version

* Sat Apr 12 2014 josef radinger <cheese@nosuchhost.net> - 2.0.7-1
- Update to 2.0.7

* Wed Jul 17 2013 Remi Collet <remi@fedoraproject.org> - 2.0.4-1
- Update to 2.0.4

* Fri Feb  8 2013 Remi Collet <remi@fedoraproject.org> - 2.0.3-3
- fix test script include_path for locale

* Wed Feb  6 2013 Nick Bebout <nb@fedoraproject.org> - 2.0.3-2
- Update for review

* Tue Jan 29 2013 Remi Collet <remi@fedoraproject.org> - 2.0.3-1
- Update to 2.0.3

* Wed Jan  9 2013 Remi Collet <remi@fedoraproject.org> - 2.0.2-1
- Update to 2.0.2
- use local script instead of find_lang
- new test layout (requires Horde_Test 2.1.0)
- add option for test (can't be run in mock)

* Wed Nov  7 2012 Remi Collet <remi@fedoraproject.org> - 2.0.1-1
- Update to 2.0.1

* Sat Nov  3 2012 Remi Collet <remi@fedoraproject.org> - 2.0.0-1
- Update to 2.0.0

* Mon Jun 25 2012 Nick Bebout <nb@fedoraproject.org> - 1.0.7-2
- Fix requires

* Wed Jun 20 2012 Nick Bebout <nb@fedoraproject.org> - 1.0.7-1
- Upgrade to 1.0.7, fix review issues

* Sat Jan 28 2012 Nick Bebout <nb@fedoraproject.org> - 1.0.6-1
- Initial package
